
Redmine - Feature #28368

regarding watcher added in private project but not getting notification 

2018-03-19 09:27 - pradeep pal

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi

Created private project in redmine with role and permission called (viewownissue). when adding watchers , their are not getting

notification nor email with ticket link

Can anyone help with this

Related issues:

Related to Redmine - Patch #16133: Available watchers on new issue form inclu... Closed

Is duplicate of Redmine - Feature #8488: Create an 'Involve' mechanism to pri... New

History

#1 - 2018-03-22 16:19 - pradeep pal

any update on this ?

#2 - 2018-03-22 17:40 - Bernhard Rohloff

any more information on this?

Nobody can figure out your exact problem based on a single line...

Please see the  sumission guidelines, too.

#3 - 2018-03-23 07:34 - pradeep pal

let me explain you what we need

1 - In redmine we have one project which is made as private.

2 - We have setup a group which contains all users of redmine with role having to view own issues. ie they can see there own tickets only not all

tickets which are created by other users.

3 - Now When we add a watcher in the ticket they dont receive any email notification as well they are not able to see the tickets also.

So we need your help to setup the project with private attribute and watchers and new authors should get email notification.

#4 - 2018-03-23 07:52 - Marius BĂLTEANU

- Status changed from New to Closed

- Priority changed from Urgent to Normal

- Resolution set to Duplicate

In Redmine core, the watcher must be a member of the private project in order to be notified or to get access to the issue. Please read more about

this starting from the related ticket #8488. Also, in that tickets you can find some patches that works great and add this feature to Redmine.

I'm closing this one as duplicated.

#5 - 2018-03-23 07:52 - Marius BĂLTEANU

- Is duplicate of Feature #8488: Create an 'Involve' mechanism to private issues added

#6 - 2018-05-11 09:59 - Lara R

Marius BALTEANU wrote:

In Redmine core, the watcher must be a member of the private project in order to be notified or to get access to the issue. Please read more

about this starting from the related ticket #8488. Also, in that tickets you can find some patches that works great and add this feature to
Redmine.

I'm closing this one as duplicated.

 I am trying to install the 23546-watched_or_created_or_assigned_issue_visibility.patch but unable to do it.

I run the command patch -p0 < filename.patch but getting too many errors. Could you give me the steps you followed to install it?

Thanks.

#7 - 2018-05-12 04:37 - Go MAEDA

- Related to Patch #16133: Available watchers on new issue form include users who cannot even view issues added

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

http://www.tcpdf.org

